#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	unifdef
Version		:	2.12
Release		:	14.8.0.0%{?dist}
Summary		:	utility that is useful for removing preprocessor conditionals from code.

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://dotat.at/prog/unifdef

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
The unifdef utility selectively processes conditional
C preprocessor #if and #ifdef directives. It removes
from a file both the directives and the additional
text that they delimit, while otherwise leaving the
file alone.

It is useful for avoiding distractions when studying
code that uses #ifdef heavily for portability: my original
motivation was to understand xterm's pty handling code.
It can be used as a lightweight preprocessor; for example
the Linux kernel uses unifdef to strip out #ifdef __KERNEL__
sections from the headers it exports to userland.
You can use unifdef with languages other than C;
for example UIT, a publisher in Cambridge where I live,
uses unifdef with LaTeX.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}all
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}all.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	prefix=%{buildroot}%{_prefix}			\
	install

#-----------------------------------------------------------------------------
%changelog
